<template>
    <div>
        <div class="text-h6">
            Choose a widget name
        </div>
        <q-input ref="name" filled label="Widget Name" @input="Validate" v-model="name" :rules="[v=>!!v ||'Required']"/>
        <div class="row justify-between">
            <q-btn label="back" color="primary" @click="$emit('back')"/>
            <q-btn label="create" :valid="valid" color="primary" @click="$emit('create', name)"/>
        </div>
    </div>
</template>

<script lang='ts'>
import {Component, Vue} from 'vue-property-decorator';

@Component
export default class AddWidgetDialog extends Vue {
    name = '';

    valid = false

    Validate() {
        this.valid = this.name.length > 0;
    }

}
</script>

<style lang='scss' scoped>

</style>
